export default function messageDialog (ui, messageTitle, message) {
  return {
    type: 'dialog',
    params: {
      id: 'errors',
      titleText: messageTitle,
      contentText: message,
      openButtonVariant: 'text',
      openButtonColor: 'primary',
      openButtonText: '',
      closeButtonVariant: 'contained',
      closeButtonColor: 'primary',
      closeButtonText: 'Close',
      open: true,
      openListener: function () {},
      closeListener: function () {
        ui.renderPage()
      },
      contents: [],
      actionContents: [],
    },
  }
}

