export default function submitFormButton(ui) {
  const onClick = function () {
    ui.checkParams()
    ui.getValue().errorList.length > 0 ? ui.renderPage() : ui.onSubmit(ui.getValue())
    ui.setValue({errorList: []})
  }
  
  return {
    type: 'button',
    params: {
      id: 'submitFormButton',
      text: 'Go!',
      variant: 'contained',
      color: 'primary',
      size: 'medium',
      disabled: false,
      onClickListener: onClick,
    },
  }
}
