export default function selectScheme(ui) {
  const onSelect = function(input) {
    ui.setValue({adCall: input})
  }

  return {
    type: 'select',
    params: {
      id: 'adCallSelect',
      label: '',
      helperText: 'Your preferred ad-call',
      value: ui.getValue().adCall,
      disabled: false,
      error: false,
      required: false,
      shrink: false,
      displayEmpty: false,
      autoWidth: false,
      readOnly: false,
      options: [
        {id: 'url', value: 'url', label: 'URL'},
        {id: 'script', value: 'script', label: 'Script'},
        {id: 'amp', value: 'amp', label: 'AMP'},
      ],
      onSelectListener: onSelect,
    },
  }
}
